**Cette page a été importée automatiquement de notre ancien wiki mais n'a pas encore été révisée.**

# Howto Debian backports

Une distribution stable de Debian garde en permanence (ou presque) les mêmes versions des logiciels (c'est le principe d'une version stable). Certaines versions plus récentes sont néanmoins distribuées via des paquets Debian de _backports_.

## Utilisation

Pour disposer des backports, on ajoutera le dépôt Debian Backports dans un fichier `/etc/apt/sources.list.d/backports.list` :

~~~
deb http://mirror.evolix.org/debian jessie-backports main
~~~

On utilisera le _pinning APT_ pour bénéficier des mises-à-jour régulières en créant le fichier `/etc/apt/preferences.d/backports` ainsi, par exemple pour les paquets Samba :

~~~
Package: *
Pin: release n=jessie-backports
Pin-Priority: 50

Package: samba samba-common samba-common-bin libwbclient0
Pin: release n=jessie-backports
Pin-Priority: 999
~~~


## Mise-à-jour du noyau Linux

Pour Squeeze :

~~~
deb http://backports.debian.org/debian-backports squeeze-backports main contrib non-free
~~~

~~~
# aptitude install linux-image-3.2.0-0.bpo.4-amd64 initramfs-tools=0.99~bpo60+1 linux-base=3.4~bpo60+1 firmware-bnx2=0.36+wheezy.1~bpo60+1
~~~

## [Wheezy] Créer une image CD netinst avec un kernel backporté wheezy-backports

~~~
# aptitude install build-essential pbuilder bc debiandoc-sgml libbogl-dev glibc-pic libslang2-pic libnewt-pic genext2fs mklibs genisoimage dosfstools syslinux tofrodos mtools po4a bf-utf-source fakeroot crash kexec-tools makedumpfile kernel-wedge xorriso win32-loader librsvg2-bin libacl1
~~~

~~~
$ apt-get source debian-installer
$ cd debian-installer-20130613+deb7u2/build
~~~

config/amd64.cfg:

~~~
KERNELVERSION = 3.16.0-0.bpo.4-amd64
KERNELMAJOR = 3.16
~~~

sources.list.udeb.local:

~~~
deb http://mirror.evolix.org/debian wheezy main
deb http://mirror.evolix.org/debian wheezy main/debian-installer
deb http://mirror.evolix.org/debian wheezy-backports main/debian-installer
~~~

pkg-lists/netboot/amd64.cfg:

~~~
#nic-extra-modules-${kernel:Version}
#floppy-modules-${kernel:Version}
multiarch-support
libacl1
~~~